libgimpprint API Reference: lexmark_cap_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# lexmark_cap_t Struct Reference

## Data Fields
Lex_model | model
int | max_paper_width
int | max_paper_height
int | min_paper_width
int | min_paper_height
int | max_xdpi
int | max_ydpi
int | max_quality
int | border_left
int | border_right
int | border_top
int | border_bottom
int | inks
int | slots
int | features
int | offset_left_border
int | offset_top_border
int | x_raster_res
int | y_raster_res
const lexmark_res_t_array * | res_parameters
const lexmark_inkname_t * | ink_types
const char * | lum_adjustment
const char * | hue_adjustment
const char * | sat_adjustment

## Field Documentation

int lexmark_cap_t::border_bottom

| Definition at line 502 of file print-lexmark.c. Referenced by internal_imageable_area().

int lexmark_cap_t::border_left

| Definition at line 499 of file print-lexmark.c. Referenced by internal_imageable_area().

int lexmark_cap_t::border_right

| Definition at line 500 of file print-lexmark.c. Referenced by internal_imageable_area().

int lexmark_cap_t::border_top

| Definition at line 501 of file print-lexmark.c. Referenced by internal_imageable_area().

int lexmark_cap_t::features

| Definition at line 505 of file print-lexmark.c.

const char* lexmark_cap_t::hue_adjustment

| Definition at line 515 of file print-lexmark.c. Referenced by lexmark_lum_adjustment().

const lexmark_inkname_t* lexmark_cap_t::ink_types

| Definition at line 513 of file print-lexmark.c.

int lexmark_cap_t::inks

| Definition at line 503 of file print-lexmark.c.

const char* lexmark_cap_t::lum_adjustment

| Definition at line 514 of file print-lexmark.c. Referenced by lexmark_print_bidirectional().

int lexmark_cap_t::max_paper_height

| Definition at line 493 of file print-lexmark.c.

int lexmark_cap_t::max_paper_width

| Definition at line 492 of file print-lexmark.c. Referenced by lexmark_write().

int lexmark_cap_t::max_quality

| Definition at line 498 of file print-lexmark.c.

int lexmark_cap_t::max_xdpi

| Definition at line 496 of file print-lexmark.c. Referenced by lexmark_get_resolution_para().

int lexmark_cap_t::max_ydpi

| Definition at line 497 of file print-lexmark.c. Referenced by lexmark_get_resolution_para().

int lexmark_cap_t::min_paper_height

| Definition at line 495 of file print-lexmark.c.

int lexmark_cap_t::min_paper_width

| Definition at line 494 of file print-lexmark.c.

Lex_model lexmark_cap_t::model

| Definition at line 491 of file print-lexmark.c. Referenced by lexmark_init_line(), lexmark_init_printer(), and lexmark_write().

int lexmark_cap_t::offset_left_border

| Definition at line 508 of file print-lexmark.c.

int lexmark_cap_t::offset_top_border

| Definition at line 509 of file print-lexmark.c.

const lexmark_res_t_array* lexmark_cap_t::res_parameters

| Definition at line 512 of file print-lexmark.c.

const char* lexmark_cap_t::sat_adjustment

| Definition at line 516 of file print-lexmark.c. Referenced by lexmark_hue_adjustment().

int lexmark_cap_t::slots

| Definition at line 504 of file print-lexmark.c.

int lexmark_cap_t::x_raster_res

| Definition at line 510 of file print-lexmark.c. Referenced by lexmark_write().

int lexmark_cap_t::y_raster_res

| Definition at line 511 of file print-lexmark.c.

The documentation for this struct was generated from the following file:

- src/main/print-lexmark.c